import { IRefreshTokenStorageHandler } from '@orderingstack/ordering-core';
export interface IStorage {
    get: (key: string) => Promise<string | null>;
    set: (key: string, value: string) => Promise<void | {
        value: boolean;
    }> | void;
    remove: (key: string) => Promise<void | {
        value: boolean;
    }> | void;
}
export declare const storage: IStorage;
export declare const tokenStorageHandler: IRefreshTokenStorageHandler;
//# sourceMappingURL=storage.d.ts.map